# TPlane Class Reference

Inheritance diagram for TPlane:

List of all members.

## Public Member Functions
| TPlane ()
void | Set (const TVector3 &DD, real hh)
void | SetPlaneVectors (const TVector3 &UU, const TVector3 &VV)
void | Build (const TVector3 &O, const TVector3 &UU, const TVector3 &VV)
real | Power (const TVector3 &PP) const
void | PassThrough (const TVector3 &PP)
const TVector3 & | GetD (void) const
const real & | GetH (void) const
void | Project (const TVector3 &PP, TVector3 &QQ) const
boolean | ProjectAlong (const TVector3 &PP, const TVector3 &DD, TVector3 &QQ) const
boolean | ProjectAlong (const TVector3 &PP, const TVector3 &DD, real64 &t) const
boolean | operator== (const TPlane &aplane) const
void | PlaneCoordinates (const TVector3 &PP, TVector2 &result) const
void | GlobalCoordinates (const TVector2 &PP, TVector3 &result) const
## Private Attributes
TVector3 | fD
TVector3 | fU
TVector3 | fV
real | fh

## Detailed Description

Represents a plane by the direction of its normal and a scalar.

## Constructor & Destructor Documentation

TPlane::TPlane | ( |  | ) | `[inline]`

## Member Function Documentation

void TPlane::Build | ( | const TVector3 & | O,
|  | const TVector3 & | UU,
|  | const TVector3 & | VV |
| ) |  |  |

const TVector3& TPlane::GetD | ( | void |  | ) | const`[inline]`

const real& TPlane::GetH | ( | void |  | ) | const`[inline]`

void TPlane::GlobalCoordinates | ( | const TVector2 & | PP,
|  | TVector3 & | result |
| ) |  |  | const

boolean TPlane::operator== | ( | const TPlane & | aplane | ) | const

void TPlane::PassThrough | ( | const TVector3 & | PP | ) |

void TPlane::PlaneCoordinates | ( | const TVector3 & | PP,
|  | TVector2 & | result |
| ) |  |  | const

real TPlane::Power | ( | const TVector3 & | PP | ) | const

void TPlane::Project | ( | const TVector3 & | PP,
|  | TVector3 & | QQ |
| ) |  |  | const

boolean TPlane::ProjectAlong | ( | const TVector3 & | PP,
|  | const TVector3 & | DD,
|  | real64 & | t |
| ) |  |  | const

boolean TPlane::ProjectAlong | ( | const TVector3 & | PP,
|  | const TVector3 & | DD,
|  | TVector3 & | QQ |
| ) |  |  | const

void TPlane::Set | ( | const TVector3 & | DD,
|  | real | hh |
| ) |  |  |

void TPlane::SetPlaneVectors | ( | const TVector3 & | UU,
|  | const TVector3 & | VV |
| ) |  |  | `[inline]`

## Member Data Documentation

TVector3 TPlane::fD`[private]`

real TPlane::fh`[private]`

TVector3 TPlane::fU`[private]`

TVector3 TPlane::fV`[private]`

The documentation for this class was generated from the following file:

- Plane.h